## org.apache.cassandra.thrift
Class IndexClause

    java.lang.Object
      org.apache.cassandra.thrift.IndexClause

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<IndexClause>, org.apache.thrift.TBase<IndexClause,IndexClause._Fields>

    public class IndexClause

extends java.lang.Object
implements org.apache.thrift.TBase<IndexClause,IndexClause._Fields>, java.io.Serializable, java.lang.Cloneable

See Also:
  Serialized Form

Nested Class Summary
`static class` `IndexClause._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

Field Summary
`int` `count`
`java.util.List<IndexExpression>` `expressions`
`static java.util.Map<IndexClause._Fields,org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`java.nio.ByteBuffer` `start_key`

Constructor Summary
`IndexClause()`
`IndexClause(IndexClause other)` Performs a deep copy on other.
`IndexClause(java.util.List<IndexExpression> expressions, java.nio.ByteBuffer start_key, int count)`

Method Summary
`void` `addToExpressions(IndexExpression elem)`
`java.nio.ByteBuffer` `bufferForStart_key()`
`void` `clear()`
`int` `compareTo(IndexClause other)`
`IndexClause` `deepCopy()`
`boolean` `equals(IndexClause that)`
`boolean` `equals(java.lang.Object that)`
`IndexClause._Fields` `fieldForId(int fieldId)`
`int` `getCount()`
`java.util.List<IndexExpression>` `getExpressions()`
`java.util.Iterator<IndexExpression>` `getExpressionsIterator()`
`int` `getExpressionsSize()`
`java.lang.Object` `getFieldValue(IndexClause._Fields field)`
`byte[]` `getStart_key()`
`int` `hashCode()`
`boolean` `isSet(IndexClause._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetCount()` Returns true if field count is set (has been assigned a value) and false otherwise
`boolean` `isSetExpressions()` Returns true if field expressions is set (has been assigned a value) and false otherwise
`boolean` `isSetStart_key()` Returns true if field start_key is set (has been assigned a value) and false otherwise
`void` `read(org.apache.thrift.protocol.TProtocol iprot)`
`IndexClause` `setCount(int count)`
`void` `setCountIsSet(boolean value)`
`IndexClause` `setExpressions(java.util.List<IndexExpression> expressions)`
`void` `setExpressionsIsSet(boolean value)`
`void` `setFieldValue(IndexClause._Fields field, java.lang.Object value)`
`IndexClause` `setStart_key(byte[] start_key)`
`IndexClause` `setStart_key(java.nio.ByteBuffer start_key)`
`void` `setStart_keyIsSet(boolean value)`
`java.lang.String` `toString()`
`void` `unsetCount()`
`void` `unsetExpressions()`
`void` `unsetStart_key()`
`void` `validate()`
`void` `write(org.apache.thrift.protocol.TProtocol oprot)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### expressions

    public java.util.List<IndexExpression> expressions

### start_key

    public java.nio.ByteBuffer start_key

### count

    public int count

### metaDataMap

    public static final java.util.Map<IndexClause._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

Constructor Detail

### IndexClause

    public IndexClause()

### IndexClause

    public IndexClause(java.util.List<IndexExpression> expressions,
                       java.nio.ByteBuffer start_key,
                       int count)

### IndexClause

    public IndexClause(IndexClause other)

  Performs a deep copy on other.

Method Detail

### deepCopy

    public IndexClause deepCopy()

  Specified by:
    `deepCopy` in interface `org.apache.thrift.TBase<IndexClause,IndexClause._Fields>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `org.apache.thrift.TBase<IndexClause,IndexClause._Fields>`

### getExpressionsSize

    public int getExpressionsSize()

### getExpressionsIterator

    public java.util.Iterator<IndexExpression> getExpressionsIterator()

### addToExpressions

    public void addToExpressions(IndexExpression elem)

### getExpressions

    public java.util.List<IndexExpression> getExpressions()

### setExpressions

    public IndexClause setExpressions(java.util.List<IndexExpression> expressions)

### unsetExpressions

    public void unsetExpressions()

### isSetExpressions

    public boolean isSetExpressions()

  Returns true if field expressions is set (has been assigned a value) and false otherwise

### setExpressionsIsSet

    public void setExpressionsIsSet(boolean value)

### getStart_key

    public byte[] getStart_key()

### bufferForStart_key

    public java.nio.ByteBuffer bufferForStart_key()

### setStart_key

    public IndexClause setStart_key(byte[] start_key)

### setStart_key

    public IndexClause setStart_key(java.nio.ByteBuffer start_key)

### unsetStart_key

    public void unsetStart_key()

### isSetStart_key

    public boolean isSetStart_key()

  Returns true if field start_key is set (has been assigned a value) and false otherwise

### setStart_keyIsSet

    public void setStart_keyIsSet(boolean value)

### getCount

    public int getCount()

### setCount

    public IndexClause setCount(int count)

### unsetCount

    public void unsetCount()

### isSetCount

    public boolean isSetCount()

  Returns true if field count is set (has been assigned a value) and false otherwise

### setCountIsSet

    public void setCountIsSet(boolean value)

### setFieldValue

    public void setFieldValue(IndexClause._Fields field,
                              java.lang.Object value)

  Specified by:
    `setFieldValue` in interface `org.apache.thrift.TBase<IndexClause,IndexClause._Fields>`

### getFieldValue

    public java.lang.Object getFieldValue(IndexClause._Fields field)

  Specified by:
    `getFieldValue` in interface `org.apache.thrift.TBase<IndexClause,IndexClause._Fields>`

### isSet

    public boolean isSet(IndexClause._Fields field)

  Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

  Specified by:
    `isSet` in interface `org.apache.thrift.TBase<IndexClause,IndexClause._Fields>`

### equals

    public boolean equals(java.lang.Object that)

  Overrides:
    `equals` in class `java.lang.Object`

### equals

    public boolean equals(IndexClause that)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### compareTo

    public int compareTo(IndexClause other)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<IndexClause>`

### fieldForId

    public IndexClause._Fields fieldForId(int fieldId)

  Specified by:
    `fieldForId` in interface `org.apache.thrift.TBase<IndexClause,IndexClause._Fields>`

### read

    public void read(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

  Specified by:
    `read` in interface `org.apache.thrift.TBase<IndexClause,IndexClause._Fields>`
  Throws:
    `org.apache.thrift.TException`

### write

    public void write(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

  Specified by:
    `write` in interface `org.apache.thrift.TBase<IndexClause,IndexClause._Fields>`
  Throws:
    `org.apache.thrift.TException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### validate

    public void validate()
                  throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

Copyright © 2012 The Apache Software Foundation